# Copyright 1999-2014 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2

EAPI="7"

PYTHON_COMPAT=( python3_{5,6,7,8} )

if [[ ${PV} == 9999* ]]; then
	EGIT_REPO_URI="https://github.com/getting-things-gnome/${PN}.git"
	inherit git-r3
	MY_PV=${PV/_rc/-RC}
	S="${WORKDIR}/${PN}-${MY_PV}"
else
	SRC_URI="https://github.com/getting-things-gnome/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
	KEYWORDS="amd64 ~arm ~arm64 ~ppc64 x86"
fi

inherit python-single-r1 meson

DESCRIPTION="Personal organizer for the GNOME desktop environment"
HOMEPAGE="https://wiki.gnome.org/Apps/GTG"

LICENSE="GPL-3"
SLOT="0"
IUSE="plugins"
REQUIRED_USE=${PYTHON_REQUIRED_USE}

RDEPEND="${PYTHON_DEPS}
	$(python_gen_cond_dep '
	dev-python/nose[${PYTHON_MULTI_USEDEP}]
	dev-python/pyxdg[${PYTHON_MULTI_USEDEP}]
	dev-python/pyflakes[${PYTHON_MULTI_USEDEP}]
	dev-python/pep8[${PYTHON_MULTI_USEDEP}]
	dev-python/pycodestyle[${PYTHON_MULTI_USEDEP}]
	dev-python/mock[${PYTHON_MULTI_USEDEP}]
	dev-python/liblarch[${PYTHON_MULTI_USEDEP}]
	dev-python/dbus-python[${PYTHON_MULTI_USEDEP}]
	dev-python/pygobject[${PYTHON_MULTI_USEDEP}]
	plugins? (
		dev-python/cheetah3[${PYTHON_MULTI_USEDEP}]
		app-text/pdftk
		app-text/pdfjam
	)
	')
"
